[tool.poetry]
name = "litestar-machines"
version = "0.1.0"
description = ""
authors = ["Eden Kirin <eden@ekirin.com>"]
readme = "README.md"
packages = [{include = "litestar_machines"}]

[tool.poetry.dependencies]
python = "^3.11"
litestar = "^2.0.1"
uvicorn = "^0.23.2"
sqlalchemy = "^2.0.20"
asyncpg = "^0.28.0"
pydantic = "<2.0"


[tool.poetry.group.dev.dependencies]
watchfiles = "^0.20.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
